#!/run/current-system/sw/bin/env bash
# [[file:arcology-poetry.org::*=arcology-with-assets= can be bundled in to a simple Docker container with =dockerTools.buildImage=][=arcology-with-assets= can be bundled in to a simple Docker container with =dockerTools.buildImage=:4]]
set -e

nix-build docker.nix
docker load -i result

docker build -f Dockerfile-fastapi -t docker.fontkeming.fail/arcology-fastapi .
docker build -f Dockerfile-inotify -t docker.fontkeming.fail/arcology-inotify .

docker push docker.fontkeming.fail/arcology-fastapi
docker push docker.fontkeming.fail/arcology-inotify

ssh fontkeming "docker pull docker.fontkeming.fail/arcology-fastapi && docker pull docker.fontkeming.fail/arcology-inotify && sudo systemctl restart arcology-fastapi arcology-inotify"
# =arcology-with-assets= can be bundled in to a simple Docker container with =dockerTools.buildImage=:4 ends here
